.login-box
  %h3.page-title
    = t("devise.sign_in")
  - if ldap_enabled? && gitlab_config.signin_enabled
    %ul.nav.nav-tabs
      %li.active
        = link_to 'LDAP', '#tab-ldap', 'data-toggle' => 'tab'
      %li
        = link_to 'Standard', '#tab-signin', 'data-toggle' => 'tab'
    .tab-content
      %div#tab-ldap.tab-pane.active
        = render partial: 'devise/sessions/new_ldap'
      %div#tab-signin.tab-pane
        = render partial: 'devise/sessions/new_base'

  - elsif ldap_enabled?
    = render partial: 'devise/sessions/new_ldap'

  - elsif gitlab_config.signin_enabled
    = render partial: 'devise/sessions/new_base'

  - else
    %div
      = t("devise.no_authentication_methods_configured")


  = render 'devise/sessions/oauth_providers' if Gitlab.config.omniauth.enabled && devise_mapping.omniauthable?
  %hr

  - if gitlab_config.signup_enabled
    %p
      %span.light
        = t("devise.no_account")
      %strong
        = link_to t("devise.sign_up"), new_registration_path(resource_name)

  %p
    %span.light 
      = t("devise.no_registration_email")
    = link_to t("devise.send_again"), new_confirmation_path(resource_name)


  - if extra_config.has_key?('sign_in_text')
    %hr
    = markdown(extra_config.sign_in_text)
